import _defineProperty from "@babel/runtime/helpers/defineProperty";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
const _excluded = ["children", "depth"];
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
// eslint-disable-next-line import/no-extraneous-dependencies
import React, { useMemo } from 'react';
import { extractChildrenText, textToHTMLId } from "./utils";
export function Heading(_ref) {
  let {
      children,
      depth
    } = _ref,
    rest = _objectWithoutProperties(_ref, _excluded);
  const id = useMemo(() => {
    const text = extractChildrenText(children);
    return textToHTMLId(text);
  }, [children]);
  const attributes = _objectSpread(_objectSpread({}, rest), {}, {
    id
  });
  switch (depth) {
    case 1:
      return /*#__PURE__*/React.createElement("h1", attributes, children);
    case 2:
      return /*#__PURE__*/React.createElement("h2", attributes, children);
    case 3:
      return /*#__PURE__*/React.createElement("h3", attributes, children);
    case 4:
      return /*#__PURE__*/React.createElement("h4", attributes, children);
    case 5:
      return /*#__PURE__*/React.createElement("h5", attributes, children);
    default:
      return /*#__PURE__*/React.createElement("h6", attributes, children);
  }
}